MdbSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.mdb.MdbSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.mdb
Class MdbSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.ejb.AbstractEjbCodeGeneratorSubTask
                      xdoclet.modules.ejb.mdb.MdbSubTask

All Implemented Interfaces:
  Serializable

public class MdbSubTask
extends AbstractEjbCodeGeneratorSubTask

Version:
  $Revision: 1.2 $
Author:
  Jonathan Kovacs (jonk at globaliqx.com)
See Also:
  Serialized Form
ant.element
  display-name="Mdb Bean" name="mdb" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Sept 15, 2003

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`static String` | `DEFAULT_MESSAGE_DRIVEN_CLASS_PATTERN`
`protected static String` | `DEFAULT_TEMPLATE_FILE`
`protected String` | `mdbClassPattern` A configuration parameter for specifying the concrete mdb bean class name pattern.

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`MdbSubTask()` Describe what the MdbSubTask constructor does

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`protected String` | `getGeneratedFileName(xjavadoc.XClass clazz)` Gets the GeneratedFileName attribute of the MdbSubTask object
`String` | `getMessageDrivenClassPattern()` Returns the configuration parameter for specifying the concrete mdb bean class name pattern.
`protected boolean` | `matchesGenerationRules(xjavadoc.XClass clazz)` Describe what the method does
`void` | `setPattern(String new_pattern)` Sets the Pattern attribute of the MdbSubTask object
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MESSAGE_DRIVEN_CLASS_PATTERN

    public static final String DEFAULT_MESSAGE_DRIVEN_CLASS_PATTERN

See Also:
  Constant Field Values

### DEFAULT_TEMPLATE_FILE

    protected static final String DEFAULT_TEMPLATE_FILE

See Also:
  Constant Field Values

### mdbClassPattern

    protected String mdbClassPattern

  A configuration parameter for specifying the concrete mdb bean class name pattern. By default the value is used for deciding the concrete mdb bean class name. {0} in the value mean current class's symbolic name which for an EJBean is the EJB name.

  See Also:
    `getMessageDrivenClassPattern()`

Constructor Detail

### MdbSubTask

    public MdbSubTask()

  Describe what the MdbSubTask constructor does

Method Detail

### getMessageDrivenClassPattern

    public String getMessageDrivenClassPattern()

  Returns the configuration parameter for specifying the concrete mdb bean class name pattern. By default the value is used for deciding the concrete mdb bean class name. {0} in the value mean current class's symbolic name which for an EJBean is the EJB name. If nothing explicitly specified by user then "{0}Mdb" is used by default.

  Returns:
    The MdbClassPattern value
  See Also:
    `mdbClassPattern`

### setPattern

    public void setPattern(String new_pattern)

  Sets the Pattern attribute of the MdbSubTask object

  Parameters:
    `new_pattern` - The new Pattern value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Gets the GeneratedFileName attribute of the MdbSubTask object

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The GeneratedFileName value
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### matchesGenerationRules

    protected boolean matchesGenerationRules(xjavadoc.XClass clazz)
                                      throws XDocletException

  Describe what the method does

  Overrides:
    `matchesGenerationRules` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD